Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228571 - drag and drop in seamonkey, mozilla, firefox, thunderbird fails
Summary: drag and drop in seamonkey, mozilla, firefox, thunderbird fails
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-13 20:34 UTC by Dan Yocum
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-26 18:02:48 UTC


Attachments (Terms of Use)

Description Dan Yocum 2007-02-13 20:34:25 UTC
Description of problem:

Attempting to drag-n-drop a bookmark or email into a folder fails.

Version-Release number of selected component (if applicable):

gtk-2.10.8_1

How reproducible:

every time

Steps to Reproduce:
1. open seamonkey
2. F9 to display the sidebar
3. select the "Bookmarks" tab in the sidebar
4. drag the URL into the sidebar and watch it "zoom" back to the URL field

Actual results:

URL is not placed in a folder

Expected results:

URL to be placed in a folder


Additional info:

There's a report of this on the freebsd boards, too:
http://lists.freebsd.org/pipermail/freebsd-gnome/2007-January/016547.html

Comment 1 Dan Yocum 2007-02-13 20:43:51 UTC
I have verified that this problem did not exist in gtk2-2.10.4.

Comment 2 Sammy 2007-02-15 00:59:18 UTC
Did you update from FC6 updates? This has been resolved recently.

Comment 3 Dan Yocum 2007-02-15 14:32:00 UTC
If you mean, "Did you downgrade from 2.10.8-1.fc6 (from updates) to
2.10.4-10.fc6 (from core)?" then yes, I was using 2.10.8-1.fc6 and it was broken
in this version.  Could there be something else that seamonkey wants that it's
not getting.  Hm.  This is interesting - I ran 'ldd
/usr/lib/seamonkey-1.0.7/seamonkey-bin' and I get this:

        linux-gate.so.1 =>  (0x00af4000)
        libxpcom.so => not found
        libxpcom_core.so => not found
        libmozjs.so => not found
        libplds4.so => /usr/lib/libplds4.so (0x00689000)
        libplc4.so => /usr/lib/libplc4.so (0x0087e000)
        libnspr4.so => /usr/lib/libnspr4.so (0x00844000)
        libpthread.so.0 => /lib/libpthread.so.0 (0x00c3e000)
        libdl.so.2 => /lib/libdl.so.2 (0x00c38000)
        libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x03975000)
        libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x0386a000)
        libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x064a2000)
        libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x03851000)
        libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x0396a000)
        libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x03929000)
        libcairo.so.2 => /usr/lib/libcairo.so.2 (0x063a5000)
        libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x062b2000)
        libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x0630c000)
        libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x06212000)
        libX11.so.6 => /usr/lib/libX11.so.6 (0x00c71000)
        libm.so.6 => /lib/libm.so.6 (0x00c0f000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x04f9a000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x04f8c000)
        libc.so.6 => /lib/libc.so.6 (0x00110000)
        /lib/ld-linux.so.2 (0x00ab3000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x00dbd000)
        libXext.so.6 => /usr/lib/libXext.so.6 (0x00d88000)
        libXrender.so.1 => /usr/lib/libXrender.so.1 (0x00dee000)
        libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x00df9000)
        libXi.so.6 => /usr/lib/libXi.so.6 (0x0639b000)
        libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x06306000)
        libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x062fa000)
        libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x062f3000)
        libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x038f9000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x04844000)
        libz.so.1 => /usr/lib/libz.so.1 (0x00c57000)
        libpng12.so.0 => /usr/lib/libpng12.so.0 (0x04966000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0x00c6c000)
        libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x00d75000)
        libexpat.so.0 => /lib/libexpat.so.0 (0x00d9a000)


Notice the first 3-4 lines... these libs are in /usr/lib/seamonkey-1.0.7, but
this dir isn't config'd in /etc/ld.so.conf (or /etc/ld.so.conf.d/<something>. 
Shouldn't there be a /etc/ld.so.conf/seamonkey-1.0.7.conf that contains this path?


Comment 4 Matthias Clasen 2007-02-26 18:02:48 UTC
I believe the DND problem is fixed in the current FC6 updates.



Note You need to log in before you can comment on or make changes to this bug.